source: trunk/dports/gnome/libwnck/Portfile @ 111259

Last change on this file since 111259 was 111259, checked in by devans@…, 7 years ago

libwnck: restrict livecheck to libwnck-1 versions.

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 1.8 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 111259 2013-09-17 23:20:26Z devans@macports.org $
3
4PortSystem      1.0
5
6name            libwnck
7version         2.30.7
8revision        4
9set branch      [join [lrange [split ${version} .] 0 1] .]
10maintainers     nomaintainer
11categories      gnome
12platforms       darwin
13license         LGPL-2+
14description     Library used for writing pagers and taskslists.
15
16long_description \
17    libwnck is a Window Navigator Construction Kit, i.e. a library \
18    to use for writing pagers and taskslists and stuff.  It is \
19    needed for the GNOME 2.0 desktop.
20
21homepage        http://www.gnome.org/
22master_sites    gnome:sources/${name}/${branch}/
23use_xz          yes
24
25checksums       sha256  8be84d5333f0ade0e61af9f4cbf7685cb7cce2aa0ee32f53bac32107a81fe194
26
27depends_build   port:pkgconfig \
28                port:intltool \
29                port:gnome-doc-utils
30
31depends_lib     port:startup-notification \
32                port:gobject-introspection \
33                port:gtk2 \
34                port:xorg-libXres
35
36pre-fetch {
37    if {![file exists $prefix/lib/libgdk-x11-2.0.dylib]} {
38        ui_error "gtk2 must be installed with +x11 variant enabled."
39        error "gtk2 must be installed with +x11 variant."
40    }
41}
42
43configure.args  --x-includes=${prefix}/include \
44                --x-libraries=${prefix}/lib \
45                --enable-introspection \
46                --disable-silent-rules
47
48# gobject-introspection uses g-ir-scanner, which uses $CC from env
49build.args-append       CC="${configure.cc} ${configure.cc_archflags}"
50
51# The rules enabled by gobject-introspection require GNU make 3.81+
52platform darwin 8 {
53    depends_build-append    port:gmake
54    build.cmd               ${prefix}/bin/gmake
55}
56
57livecheck.type  gnome
58livecheck.regex {LATEST-IS-(2\.\d*[02468](?:\.\d+)*)}
Note: See TracBrowser for help on using the repository browser.